#
# spec file for package libnxcl
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnxcl
BuildRequires:  doxygen
BuildRequires:  libqt4-devel
BuildRequires:  libtool
Summary:        A Library for building NoMachine (NX) clients
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Version:        0.9
Release:        90.1
Url:            http://www.krename.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        freenx-client-%{version}.tar.bz2
Source1:        COPYING
Patch0:         gcc-4.3.diff
Patch1:         nxcl-docdir.diff
Patch2:         obsoletes-nxssh.diff
Patch3:         automake-version.diff
Patch4:         libnxcl-gcc47.patch

%description
Based on nxclientlib by George Wright, but with all dependencies on Qt
removed and the Qt build system replaced with GNU autotools.



Authors:
--------
    Seb James <seb@esfnet.co.uk>

%package -n libnxcl1
Summary:        A Library for building NoMachine (NX) clients
Group:          Development/Libraries/C and C++

%description -n libnxcl1
Based on nxclientlib by George Wright, but with all dependencies on Qt
removed and the Qt build system replaced with GNU autotools.



Authors:
--------
    Seb James <seb@esfnet.co.uk>

%package -n libnxcl-devel
Summary:        A Library for building NoMachine (NX) clients
Group:          Development/Libraries/C and C++
Requires:       libnxcl1 = %version

%description -n libnxcl-devel
Based on nxclientlib by George Wright, but with all dependencies on Qt
removed and the Qt build system replaced with GNU autotools.



Authors:
--------
    Seb James <seb@esfnet.co.uk>

%prep
%setup -n freenx-client-%version
%patch0
%patch1
%patch2
%patch3
%patch4 -p1
cp %{SOURCE1} .

%build
pushd nxcl
  autoreconf -is
  %configure --disable-static --docdir=%_defaultdocdir/%name
  make %{?jobs:-j %jobs}
popd

%install
pushd nxcl
  %makeinstall
popd

%post -n libnxcl1 -p /sbin/ldconfig

%postun -n libnxcl1 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
/usr/bin/libtest
/usr/bin/notQttest
/usr/bin/nxcl
/usr/bin/nxcmd

%files -n libnxcl1
%defattr(-,root,root)
%_libdir/libnxcl.so.*

%files -n libnxcl-devel
%defattr(-,root,root)
%_libdir/libnxcl.so
/usr/include/nxcl
%_libdir/libnxcl.la
%_libdir/pkgconfig/nxcl.pc

%changelog
* Thu Mar 15 2012 dimstar@opensuse.org
- Add libnxcl-gcc47.patch: Fix build with gcc 4.7.
* Fri Dec  4 2009 dmueller@suse.de
- refresh patches
* Mon Apr 28 2008 dmueller@suse.de
- fix build on 10.2
* Fri Apr 18 2008 dmueller@suse.de
- add svn backport to be able to remove nxssh dependency
* Tue Apr 15 2008 dmueller@suse.de
- resolve file conflict
* Fri Apr 11 2008 dmueller@suse.de
- add missing COPYING (bnc#378516)
* Tue Apr  8 2008 dmueller@suse.de
- update to 0.9 (bnc#3752466):
  * separated out the build of the client library
  * some small bugfixes
* Tue Jan  9 2007 dmueller@suse.de
- fix lib installation (#231682)
* Sun Sep 10 2006 dmueller@suse.de
- Initial package
